Package Details: abcmidi 20220221-1

Git Clone URL: https://aur.archlinux.org/abcmidi.git (read-only, click to copy)
Package Base: abcmidi
Description: A set of tools for converting ABC files to MIDI files and vice versa, as well as other small utilities
Upstream URL: https://ifdo.ca/~seymour/runabc/top.html
Keywords: abc midi
Licenses: GPL
Submitter: None
Maintainer: foxxy
Last Packager: foxxy
Votes: 14
Popularity: 0.000004
First Submitted: 2006-08-25 22:27 (UTC)
Last Updated: 2022-02-22 17:30 (UTC)

Latest Comments

raysa commented on 2021-07-29 20:02 (UTC) (edited on 2021-07-29 20:04 (UTC) by raysa)

The source link is out of date. Installation with yay fails with message: ERROR: Failure while downloading https://ifdo.ca/~seymour/runabc/abcMIDI-2021.02.21.zip

Un1Gfn commented on 2021-01-23 14:00 (UTC)

@be1 makepkg(8): -A, --ignorearch

foxxy commented on 2020-11-10 10:40 (UTC)

@be1 Have you tested it on aarch64?

be1 commented on 2020-11-09 23:01 (UTC)

Hello, could you add arch 'aarch64' ?

AmberArch commented on 2020-08-17 18:26 (UTC)

For anyone who is wondering what programs are provided by this package, there are "abc2abc", "abc2midi", "abcmatch", "mftext", "midi2abc", and "yaps".

FabioLolix commented on 2020-06-02 11:03 (UTC)

At the bottom of https://ifdo.ca/~seymour/runabc/top.html there is the email of Seymour (it is a gif, not text)

foxxy commented on 2020-06-02 09:45 (UTC)

@cmsigler

1) Updated to latest upstream

2) Build issue is a bug in the source, patched it in the package. No idea where to report bug to upstream maintainer.

cmsigler commented on 2020-06-01 18:18 (UTC)

Hi,

I'm getting the following errors from ld:

/usr/bin/ld: toabc.o:(.bss+0xd7c): multiple definition of ingrace'; parseabc.o:(.bss+0x788): first defined here /usr/bin/ld: drawtune.o:(.bss+0x168): multiple definition ofingrace'; parseabc.o:(.bss+0x788): first defined here

My suspicion is that the changeover to gcc ver. 10 (2020-05-08) is causing these problems because another AUR package (denemo) is also throwing ld "multiple definition" errors.

Marking out-of-date.

Clemmitt Sigler

foxxy commented on 2020-03-18 12:39 (UTC)

@Un1Gfn, patch worked great! Package updated.

Un1Gfn commented on 2020-03-17 18:16 (UTC)

Patch here

https://gist.github.com/Un1Gfn/b2dead616e830da30a86c67132f6d29e

It works (on my machine :)

foxxy commented on 2019-10-08 10:52 (UTC)

@cmsigler Fixed until they move/delete/change/break it again.

cmsigler commented on 2019-09-27 18:03 (UTC)

Hi,

I tried upgrading abcmidi today (2019-09-27). The download failed :(

"==> ERROR: Failure while downloading "https://github.com/leesavide/abcmidi/archive/abcMIDI-2017.06.10.tar.gz Aborting..."

User leesavide seems to have deleted the abcmidi repository completely(?!). Also, the webpage to "Download the latest abcMIDI" seems to have changed to:

https://ifdo.ca/~seymour/runabc/top.html

On that page it says:

"The latest version is abcMIDI-2019.08.11.zip August 10 2019"

so there may be a newer version(s)?

I hope all this helps! Thank you for maintaining abcmidi :)

Clemmitt Sigler

foxxy commented on 2019-09-05 12:15 (UTC)

@SpotlightKid sorry for the slow update. I now build and install all binaries.

SpotlightKid commented on 2019-06-19 21:04 (UTC)

This package is missing the 'yaps' binary (but the man page and the help text are installed). Just remove the 'binaries=...' part from the 'make' invocations, it is not needed anymore, AFAICS.

foxxy commented on 2016-12-21 09:17 (UTC)

@p-mac doesn't seem to be a problem with package (I downloaded the PKGBUILD and built it). Can you build the package directly from the PKGBUILD?

p-mac commented on 2016-12-08 18:30 (UTC)

I'm receiving the error: :: abcmidi package(s) failed to install. Check .SRCINFO for mismatching data with PKGBUILD. I've read about this error that was resolved in another case by switching to pacaur-git instead of pacuar, didn't help in this case; was from much earlier this year so perhaps not surprised. I'm not knowledgeable enough to determine which differences between the two referenced files are meaningful/significant. In case my problem is not unique, I'm posting them here: http://pastebin.com/UzNfQZLT

foxxy commented on 2015-04-24 11:19 (UTC)

@simon25 Package updated to latest upstream release.

foxxy commented on 2015-02-17 17:38 (UTC)

@simon25 Package updated to latest upstream release.

foxxy commented on 2014-12-16 15:54 (UTC)

@Spotlight Kid, I've imported and published your updated version of the packge. Thanks.

SpotlightKid commented on 2014-11-25 10:20 (UTC)

Updated my PKGBUILD (see below) to version 2014-11-18

SpotlightKid commented on 2014-03-12 09:03 (UTC)

Updated my PKGBUILD (see below) to version 2014-02-05.

SpotlightKid commented on 2013-12-28 14:35 (UTC)

I updated my Subversion repo. You can also view/download teh PKGBUILD and ChangeLog file here: http://trac.chrisarndt.de/code/browser/projects/aur/abcmidi

Schala commented on 2013-12-28 08:03 (UTC)

Spotlight: latest v. is now 2013-12-25

SpotlightKid commented on 2013-11-29 15:42 (UTC)

I have made an updated/corrected package: * 20131126-1 : updated to new upstream release. added ChangeLog. add missing 'package()' function to PKGBUILD. added samples to documentation dir. added programming docs to documentation dir. svn://svn.chrisarndt.de/projects/aur/abcmidi

foxxy commented on 2013-07-30 08:13 (UTC)

Patch for the latest version 12c12 < source=('http://ifdo.pugmarks.com/~seymour/runabc/abcMIDI-2013-03-26.zip') --- > source=('http://ifdo.pugmarks.com/~seymour/runabc/abcMIDI-2013-06-09.zip') 14c14 < md5sums=('c774894669001385f7dc185eedb3d9c3') --- > md5sums=('c52abf3a608911e601d939f592070f3f')

m13253 commented on 2013-06-11 13:34 (UTC)

The new source file: http://ifdo.pugmarks.com/~seymour/runabc/abcMIDI-2013-06-09.zip

commented on 2013-03-16 15:49 (UTC)

updated PKGBUILD at http://pastebin.pl/pastebin.php?dl=75336

farvardin commented on 2012-03-30 10:10 (UTC)

Done. I'll only source from the sourceforce mirrors now

mmm commented on 2012-03-29 17:32 (UTC)

the source url is broken, use eg http://downloads.sourceforge.net/project/abc/abcmidi/abcmidi/abcMIDI-2012-03-08.zip

quark commented on 2011-12-24 23:22 (UTC)

Updated PKGBUILD at http://pastebin.com/SAKWTU3m

quark commented on 2011-12-24 23:20 (UTC)

Old versions are listed in http://ifdo.pugmarks.com/~seymour/runabc/oldversions.html They are in backup/

farvardin commented on 2011-11-26 16:46 (UTC)

I've updated the new version. It's a pity he doesn't keep the older releases on the website.

mmm commented on 2011-11-25 23:23 (UTC)

20111118 is out, http://ifdo.pugmarks.com/~seymour/runabc/abcMIDI-2011-11-18.zip, thanks

commented on 2011-09-28 19:50 (UTC)

Looks like the link to the zip is out of date again. Should be http://ifdo.pugmarks.com/~seymour/runabc/abcMIDI-2011-09-13.zip Thanks!

farvardin commented on 2011-09-11 21:38 (UTC)

thank you, it's done.

commented on 2011-09-11 19:29 (UTC)

Hi, the version of abcmidi did change and so the filename of the source was incorrect resulting in a 404 error. To install I've changed the source to 'http://ifdo.pugmarks.com/~seymour/runabc/abcMIDI-2011-09-09.zip' and generated a new md5sum for the file '57273b2dfddf073e39c9c758a2d83301'.

mmm commented on 2011-04-01 23:45 (UTC)

Hi, thanks for the package, I use it now. Just please replace $startdir/{src,pkg} with $srcdir $pkgdir as it's used now. thanks

commented on 2010-07-16 15:18 (UTC)

My computer crashed, and I'm no longer running Arch. (Hopefully this will change soon) If someone else could maintain this for a while, that would be great.